### Method

# ICalGLib Component get_inner

since: 1.0

#### Declaration [src]

    ICalComponent*
    i_cal_component_get_inner (
      ICalComponent* comp
    )

#### Description [src]

Returns the first VEVENT, VTODO or VJOURNAL sub-component of cop, or comp if it is one of those types.

Available since: 1.0

#### Return value

Type: `ICalComponent`

The first VEVENT, VTODO or VJOURNAL sub-component.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.